## org.exist.security
Class Group

    java.lang.Object
      org.exist.security.Group

All Implemented Interfaces:
  java.lang.Comparable

public class Group
extends java.lang.Object
implements java.lang.Comparable

Constructor Summary
`Group(org.w3c.dom.Element element)`
`Group(java.lang.String name, int id)`

Method Summary
`int` `compareTo(java.lang.Object other)`
`int` `getId()`
`java.lang.String` `getName()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Group

    public Group(java.lang.String name,
                 int id)

### Group

    public Group(org.w3c.dom.Element element)
          throws DatabaseConfigurationException

Method Detail

### getName

    public java.lang.String getName()

### getId

    public int getId()

### compareTo

    public int compareTo(java.lang.Object other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### toString

    public java.lang.String toString()

Copyright (C) Wolfgang Meier. All rights reserved.